<template>
    <div>
        <div class="row tab-section">
            <div
                v-for="(tab, index) in tabs"
                :key="index"
                class="col-sm-4 col-md-6 col-lg-4"
            >
                <button
                    :class="{&quot;tab__selected&quot;: (index === selectedIndex)}"
                    class="btn tab-btn btn-link"
                    @click="selectTab(index)"
                >
                    <span
                        class="my-icon"
                        v-html="tab.icon"
                    />
                    <span> {{ tab.title }} </span>
                </button>
            </div>
        </div>
        <div class="row">
            <slot />
        </div>
    </div>
</template>

<script>

export default {
    name: "DashboardTabs",
    data: () => ({
        activeItem: 'Email',
        selectedIndex: 0,
        tabs: [],
    }),
    created() {
        this.tabs = this.$children
    },
    mounted() {
        this.selectTab(0)
    },
    methods: {
        selectTab(i) {
            this.selectedIndex = i
            this.tabs.forEach((tab, index) => {
                tab.isActive = (index === i)
            })
        }
    }
}
</script>

<style scoped lang="scss">

.tab-btn {
    width: 100%;
    padding: 15px 10px;
    font-size: 14px;
    display: flex;
    margin-bottom: 20px;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    background: transparent;
    border: 1px solid #DEE1E6;
    color: #98A0A6;
    font-weight: bold;

    &:hover {
        color: #4786FF;
        text-decoration: none;
    }

    &:focus {
        border: none;
        text-decoration: none;
    }
}

.my-icon {
    margin-right: 10px;
    font-size: 17px;
}

.tab__selected {
    background-color: white;
    border-color: rgba(200, 208, 222, 0.2);
    -webkit-box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);
    box-shadow: 0 5px 20px rgba(200, 208, 222, 0.2);

    &:focus {
        border: none;
    }
    span {
        color: black;
    }


}

.tab-section {
    margin-top: 30px;
    margin-bottom: 10px;
}

</style>
